org.springframework.messaging.handler

## Class HandlerMethod.HandlerMethodParameter

- java.lang.Object
- - org.springframework.core.MethodParameter
  - - org.springframework.core.annotation.SynthesizingMethodParameter
    - - org.springframework.messaging.handler.HandlerMethod.HandlerMethodParameter

Enclosing class:
  HandlerMethod

    protected class HandlerMethod.HandlerMethodParameter
    extends org.springframework.core.annotation.SynthesizingMethodParameter

A MethodParameter with HandlerMethod-specific behavior.

### Constructor Summary

Constructors
`protected` `HandlerMethodParameter(HandlerMethod.HandlerMethodParameter original)`
`` `HandlerMethodParameter(int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerMethod.HandlerMethodParameter` `clone()`
`Class<?>` `getContainingClass()`
`<T extends Annotation> T` `getMethodAnnotation(Class<T> annotationType)`
`<T extends Annotation> boolean` `hasMethodAnnotation(Class<T> annotationType)`

### Methods inherited from class org.springframework.core.annotation.SynthesizingMethodParameter

`adaptAnnotation, adaptAnnotationArray, forExecutable, forParameter`

### Methods inherited from class org.springframework.core.MethodParameter

`decreaseNestingLevel, equals, findParameterIndex, forMethodOrConstructor, getAnnotatedElement, getConstructor, getDeclaringClass, getExecutable, getGenericParameterType, getMember, getMethod, getMethodAnnotations, getNestedGenericParameterType, getNestedParameterType, getNestingLevel, getParameter, getParameterAnnotation, getParameterAnnotations, getParameterIndex, getParameterName, getParameterType, getTypeIndexForCurrentLevel, getTypeIndexForLevel, hashCode, hasParameterAnnotation, hasParameterAnnotations, increaseNestingLevel, initParameterNameDiscovery, isOptional, nested, nested, nestedIfOptional, setTypeIndexForCurrentLevel, toString, withContainingClass, withTypeIndex`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HandlerMethodParameter

    public HandlerMethodParameter(int index)

#### HandlerMethodParameter

    protected HandlerMethodParameter(HandlerMethod.HandlerMethodParameter original)

### Method Detail

#### getContainingClass

    public Class<?> getContainingClass()

Overrides:
  `getContainingClass` in class `org.springframework.core.MethodParameter`

#### getMethodAnnotation

    public <T extends Annotation> T getMethodAnnotation(Class<T> annotationType)

Overrides:
  `getMethodAnnotation` in class `org.springframework.core.MethodParameter`

#### hasMethodAnnotation

    public <T extends Annotation> boolean hasMethodAnnotation(Class<T> annotationType)

Overrides:
  `hasMethodAnnotation` in class `org.springframework.core.MethodParameter`

#### clone

    public HandlerMethod.HandlerMethodParameter clone()

Overrides:
  `clone` in class `org.springframework.core.annotation.SynthesizingMethodParameter`